#include <qpushbt.h>
#include <qpainter.h>
#include <qwidget.h>
#include <qpixmap.h>
#include <qtooltip.h>

typedef char *TSlot;
typedef char *TString;

typedef struct TGombRekord
{
  unsigned char* BitTomb;
  TSlot slot;
  short Szomszed;
  TString tiptext;
};

typedef struct TGomb1Rekord
{
  unsigned char* Bit1Tomb;
  unsigned char* Bit2Tomb;
  TSlot slot;
  short Szomszed;
} TGomb1Rekord;

// typedef TGombRekord TGombArr[1];

#ifndef __NEWIG_H__
#define __NEWIG_H__
class NWidget : public QWidget
{
    Q_OBJECT
public:
    NWidget( QWidget *parent=0, const char *name=0, WFlags f=0 );

protected:
    virtual void resizeEvent( QResizeEvent *e );
    virtual void paintEvent( QPaintEvent *e );

signals:
    void	sizeChanged(int, int);    
};
#endif

#ifndef __TOOLBUTTON_H__
#define __TOOLBUTTON_H__
class QToolButton : public QLabel
{
    Q_OBJECT
public:
    QToolButton( QWidget *parent=0, unsigned char* BitTomb=0);

protected:
    virtual void mousePressEvent( QMouseEvent *m );    
    virtual void mouseReleaseEvent( QMouseEvent *m );    
    virtual void paintEvent( QPaintEvent *p );
signals:
    void         clicked();
private:
   QPixmap  pmap;
   int      rX,rY;
   bool     pushed;
};
#endif

#ifndef __QIDBUTT_H__
#define __QIDBUTT_H__
class QIDButton : public QLabel
{
    Q_OBJECT
public:
    QIDButton( QWidget *parent=0, int bnID = 0, unsigned char* Bit1Tomb=0,
    unsigned char* Bit2Tomb=0);
    
    void setState(int aState);
protected:
    virtual void mousePressEvent( QMouseEvent *m );    
    virtual void mouseReleaseEvent( QMouseEvent *m );    
    virtual void paintEvent( QPaintEvent *p );
signals:
    void         clicked( int );
private:
   QPixmap  pmap1,pmap2;
   int      anID;
   int      rX,rY;
   int      State;
};
#endif

#ifndef __TOOLBAR_H__
#define __TOOLBAR_H__
class QToolBar : public QLabel
{
    Q_OBJECT
public:
    TGombRekord *ToolGomb;

    QToolBar( NWidget *parent=0, int NumGomb=0, TGombRekord *Gombsor = NULL );

    void        setBaseYPoint(int YY);

public slots:    
    void        getNewSize( int ww, int hh );
    
protected:
    void	paintEvent( QPaintEvent * );
    int         baseYPoint;
    int         GombNum;
};
#endif
